<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:wnio="http://piu.mpips.pl/rd/PS_2Z/1/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0" xsi:schemaLocation="http://www.w3.org/1999/XSL/Transform http://www.w3.org/2007/schema-for-xslt20.xsd">
  <xsl:template match="/">
    <html>
      <head>
        <title>PS-2Z - Ministerstwo Pracy i Polityki Społecznej</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"></meta>
      </head>
      <body style="text-align: center; font-family: Arial; ">
        <div style="position: relative; margin-right: auto; height: 1280px; text-align: left; overflow: hidden; width: 880px; margin-left: auto; background-color: white; margin-bottom: 15px; margin-top: 15px; border: 1px solid black; page-break-after: always; ">
          <div style="position: absolute; height: 26px; width: 880px; left: 0px; top: 0px; ">
            <div style="position: absolute; height: 24px; text-align: right; color: #000000; width: 545px; font-size: 20px; left: 322px; font-weight: bold; top: 0px; " class="SofLabel formName">PS-2Z</div>
            <span style="position: absolute; height: 14px; color: #000000; width: 300px; font-size: 12px; left: 5px; font-weight: normal; top: 6px; " class="SofLabel page"></span>
            <div style="position: absolute; height: 1px; width: 100%; left: 0px; border-top: 1px solid black; top: 25px; " class="SofHRule">
              <span></span>
            </div>
          </div>
          <div style="position: absolute; color: #000000; font-size: 14px; left: 6px; font-family: arial; font-weight: bold; top: 88px; " class="SofLabel global14Bold">DANE OSOBY SKŁADAJĄCEJ PISMO</div>
          <div style="position: absolute; height: 200px; width: 880px; left: 0px; top: 105px; ">
            <div style="position: absolute; height: 100%; width: 100%; border-style: solid; background-color: #DCE6FA; border-color: #DCE6FA; left: 0px; border-width: 0px; top: 0px; " class="SofBorderContainer blueAll">
              <div style="position: absolute; color: #000000; font-size: 12px; left: 10px; font-weight: bold; top: 6px; " class="SofLabel sectionHeader">DANE IDENTYFIKACYJNE OSOBY SKŁADAJĄCEJ PISMO</div>
              <div style="position: absolute; height: 167px; width: 870px; background-color: #ffffff; left: 10px; top: 23px; " class="SofBorderContainer">
                <div style="position: absolute; color: #000000; width: 123px; font-size: 12px; left: 3px; top: 3px; " class="SofLabel">01. Numer PESEL (1)</div>
                <div style="position: absolute; height: 25px; color: #000000; default-background-color: #ffffff; overflow: hidden; width: 265px; font-size: 18px; background-color: white; display: block; left: 3px; border: 1px solid black; top: 18px; " class="SofTextInput">
                  <span style="padding-left:5px ;line-height:25px;padding-right: 5px; display: block;">
                    <xsl:value-of select="//wnio:TrescDokumentu/wnio:DaneIdentyfikacyjneOsobySkladajacejPismo/wnio:PESEL"></xsl:value-of>
                  </span>
                </div>
                <div style="position: absolute; color: #000000; width: 137px; font-size: 12px; left: 291px; top: 3px; " class="SofLabel">02. Rodzaj dokumentu tożsamości: jeśli dowód osobisty, wpisać 1, jeśli inny - 2</div>
                <div style="position: absolute; height: 27px; color: #000000; default-background-color: #ffffff; overflow: hidden; width: 48px; font-size: 18px; background-color: white; border-color: #696969; display: block; left: 435px; border: 1px solid black; top: 18px; " class="SofDropDownList">
                  <span style="padding-left: 5px;display: block;line-height:27px;">
                    <xsl:call-template name="redukcjaCzcionki">
                      <xsl:with-param name="tekst" select="//wnio:TrescDokumentu/wnio:DaneIdentyfikacyjneOsobySkladajacejPismo/wnio:RodzajDokumentu"></xsl:with-param>
                      <xsl:with-param name="bazowyRozmiarCzcionki" select="18"></xsl:with-param>
                      <xsl:with-param name="dlugoscPolaWPikselach" select="48"></xsl:with-param>
                    </xsl:call-template>
                  </span>
                </div>
                <div style="position: absolute; color: #000000; width: 856px; font-size: 12px; left: 4px; top: 135px; " class="SofLabel">(1) Należy wpisać numer PESEL, a jeżeli nie nadano tego numeru, należy wpisać serię i numer dowodu osobistego lub innego dokumentu potwierdzającego tożsamość.</div>
                <div style="position: absolute; color: #000000; font-size: 12px; left: 507px; top: 3px; " class="SofLabel">03. Seria i numer dokumentu</div>
                <div style="position: absolute; height: 25px; color: #000000; default-background-color: #ffffff; overflow: hidden; width: 361px; font-size: 18px; background-color: white; display: block; left: 507px; border: 1px solid black; top: 18px; " class="SofTextInput">
                  <span style="padding-left:5px ;line-height:25px;padding-right: 5px; display: block;">
                    <xsl:value-of select="//wnio:TrescDokumentu/wnio:DaneIdentyfikacyjneOsobySkladajacejPismo/wnio:NumerDokumentu"></xsl:value-of>
                  </span>
                </div>
                <div style="position: absolute; color: #000000; font-size: 12px; left: 3px; top: 47px; " class="SofLabel">04. Nazwisko</div>
                <div style="position: absolute; height: 25px; color: #000000; default-background-color: #ffffff; overflow: hidden; width: 865px; font-size: 18px; background-color: white; display: block; left: 3px; border: 1px solid black; top: 62px; " class="SofTextInput">
                  <span style="padding-left:5px ;line-height:25px;padding-right: 5px; display: block;">
                    <xsl:value-of select="//wnio:TrescDokumentu/wnio:DaneIdentyfikacyjneOsobySkladajacejPismo/wnio:Nazwisko"></xsl:value-of>
                  </span>
                </div>
                <div style="position: absolute; color: #000000; font-size: 12px; left: 3px; top: 91px; " class="SofLabel">05. Imię</div>
                <div style="position: absolute; height: 25px; color: #000000; default-background-color: #ffffff; overflow: hidden; width: 721px; font-size: 18px; background-color: white; display: block; left: 3px; border: 1px solid black; top: 106px; " class="SofTextInput">
                  <span style="padding-left:5px ;line-height:25px;padding-right: 5px; display: block;">
                    <xsl:value-of select="//wnio:TrescDokumentu/wnio:DaneIdentyfikacyjneOsobySkladajacejPismo/wnio:Imie"></xsl:value-of>
                  </span>
                </div>
              </div>
            </div>
          </div>
          <div style="position: absolute; color: #000000; font-size: 14px; left: 6px; font-family: arial; font-weight: bold; top: 323px; " class="SofLabel global14Bold">ZMIANA SYTUACJI DOCHODOWEJ:</div>
          <div style="position: absolute; color: #000000; font-size: 12px; left: 8px; top: 338px; " class="SofLabel">(Wypełnić tylko w przypadku, gdy miejsce w polu opisowym ZMIANA SYTUACJI DOCHODOWEJ na formularzu PS-2 jest niewystarczające)</div>
          <div style="position: absolute; line-height: 20px; height: 243px; color: #000000; default-background-color: #ffffff; overflow: hidden; width: 865px; font-size: 18px; background-color: white; display: block; left: 8px; border: 1px solid black; top: 359px; " class="SofTextArea dotted">
            <div style="padding-left:5px ; padding-top:2px; display: block;">
              <xsl:call-template name="formatTextArea">
                <xsl:with-param name="tekst" select="//wnio:TrescDokumentu/wnio:ZmianaSytuacjiDochodowej"></xsl:with-param>
                <xsl:with-param name="wysokosc" select="243"></xsl:with-param>
                <xsl:with-param name="szerokosc" select="865"></xsl:with-param>
                <xsl:with-param name="bazowyRozmiarCzcionki" select="18"></xsl:with-param>
                <xsl:with-param name="wysokoscLini" select="20"></xsl:with-param>
                <xsl:with-param name="liczbaPrzejscDoNowychLini" select="0"></xsl:with-param>
                <xsl:with-param name="tekstPoOstatnimPrzejsciuDoNowejLini" select="//wnio:TrescDokumentu/wnio:ZmianaSytuacjiDochodowej"></xsl:with-param>
              </xsl:call-template>
            </div>
          </div>
          <div style="position: absolute; height: 297px; width: 880px; border-style: solid; background-color: #E7E5E6; border-color: #E7E5E6; left: 0px; border-width: 0px; top: 621px; " class="SofBorderContainer lightGrayAll">
            <span></span>
          </div>
          <div style="position: absolute; color: #000000; font-size: 14px; left: 6px; font-family: arial; font-weight: bold; top: 629px; " class="SofLabel global14Bold">ZMIANA SYTUACJI RODZINNEJ:</div>
          <div style="position: absolute; color: #000000; font-size: 12px; left: 8px; top: 644px; " class="SofLabel">(Wypełnić tylko w przypadku, gdy miejsce w polu opisowym ZMIANA SYTUACJI RODZINNEJ na formularzu PS-2 jest niewystarczające)</div>
          <div style="position: absolute; line-height: 20px; height: 243px; color: #000000; default-background-color: #ffffff; overflow: hidden; width: 865px; font-size: 18px; background-color: white; display: block; left: 8px; border: 1px solid black; top: 665px; " class="SofTextArea dotted">
            <div style="padding-left:5px ; padding-top:2px; display: block;">
              <xsl:call-template name="formatTextArea">
                <xsl:with-param name="tekst" select="//wnio:TrescDokumentu/wnio:ZmianaSytuacjiRodzinnej"></xsl:with-param>
                <xsl:with-param name="wysokosc" select="243"></xsl:with-param>
                <xsl:with-param name="szerokosc" select="865"></xsl:with-param>
                <xsl:with-param name="bazowyRozmiarCzcionki" select="18"></xsl:with-param>
                <xsl:with-param name="wysokoscLini" select="20"></xsl:with-param>
                <xsl:with-param name="liczbaPrzejscDoNowychLini" select="0"></xsl:with-param>
                <xsl:with-param name="tekstPoOstatnimPrzejsciuDoNowejLini" select="//wnio:TrescDokumentu/wnio:ZmianaSytuacjiRodzinnej"></xsl:with-param>
              </xsl:call-template>
            </div>
          </div>
          <div style="position: absolute; color: #000000; font-size: 14px; left: 6px; font-family: arial; font-weight: bold; top: 936px; " class="SofLabel global14Bold">ZMIANA SYTUACJI MIESZKANIOWEJ:</div>
          <div style="position: absolute; color: #000000; font-size: 12px; left: 8px; top: 951px; " class="SofLabel">(Wypełnić tylko w przypadku, gdy miejsce w polu opisowym ZMIANA SYTUACJI MIESZKANIOWEJ na formularzu PS-2 jest niewystarczające)</div>
          <div style="position: absolute; line-height: 20px; height: 243px; color: #000000; default-background-color: #ffffff; overflow: hidden; width: 865px; font-size: 18px; background-color: white; display: block; left: 8px; border: 1px solid black; top: 972px; " class="SofTextArea dotted">
            <div style="padding-left:5px ; padding-top:2px; display: block;">
              <xsl:call-template name="formatTextArea">
                <xsl:with-param name="tekst" select="//wnio:TrescDokumentu/wnio:ZmianaSytuacjiMieszkaniowej"></xsl:with-param>
                <xsl:with-param name="wysokosc" select="243"></xsl:with-param>
                <xsl:with-param name="szerokosc" select="865"></xsl:with-param>
                <xsl:with-param name="bazowyRozmiarCzcionki" select="18"></xsl:with-param>
                <xsl:with-param name="wysokoscLini" select="20"></xsl:with-param>
                <xsl:with-param name="liczbaPrzejscDoNowychLini" select="0"></xsl:with-param>
                <xsl:with-param name="tekstPoOstatnimPrzejsciuDoNowejLini" select="//wnio:TrescDokumentu/wnio:ZmianaSytuacjiMieszkaniowej"></xsl:with-param>
              </xsl:call-template>
            </div>
          </div>
          <div style="position: absolute; height: 16px; width: 880px; left: 0px; top: 1223px; ">
            <div style="position: absolute; height: 14px; text-align: right; color: #000000; width: 300px; font-size: 11px; left: 559px; font-family: verdana; top: 1px; " class="SofLabel footnote">wersja: PS-2Z(1)</div>
            <div style="position: absolute; height: 14px; text-align: center; color: #000000; width: 850px; font-size: 11px; left: 10px; font-family: verdana; top: 1px; " class="SofLabel footnote">strona: 1/2</div>
            <div style="position: absolute; height: 1px; width: 100%; left: 0px; border-top: 1px solid black; top: 1px; " class="SofHRule">
              <span></span>
            </div>
          </div>
          <div style="position: absolute; height: 60px; text-align: center; color: #000000; width: 100%; font-size: 16px; left: 0px; font-weight: bold; top: 42px; " class="SofLabel formTitle">
            ZAŁĄCZNIK DO POWIADOMIENIA
            <br></br>
            O &#xa0;ZMIANIE &#xa0;SYTUACJI &#xa0;ŻYCIOWEJ
          </div>
        </div>
        <div style="position: relative; margin-right: auto; height: 1280px; text-align: left; overflow: hidden; width: 880px; margin-left: auto; background-color: white; margin-bottom: 15px; margin-top: 15px; border: 1px solid black; ">
          <div style="position: absolute; height: 26px; width: 880px; left: 0px; top: 0px; ">
            <div style="position: absolute; height: 24px; text-align: right; color: #000000; width: 545px; font-size: 20px; left: 322px; font-weight: bold; top: 0px; " class="SofLabel formName">PS-2Z</div>
            <span style="position: absolute; height: 14px; color: #000000; width: 300px; font-size: 12px; left: 5px; font-weight: normal; top: 6px; " class="SofLabel page"></span>
            <div style="position: absolute; height: 1px; width: 100%; left: 0px; border-top: 1px solid black; top: 25px; " class="SofHRule">
              <span></span>
            </div>
          </div>
          <div style="position: absolute; height: 298px; width: 880px; border-style: solid; background-color: #E7E5E6; border-color: #E7E5E6; left: 0px; border-width: 0px; top: 35px; " class="SofBorderContainer lightGrayAll">
            <span></span>
          </div>
          <div style="position: absolute; color: #000000; font-size: 14px; left: 6px; font-family: arial; font-weight: bold; top: 44px; " class="SofLabel global14Bold">ZMIANA SYTUACJI ZAWODOWEJ:</div>
          <div style="position: absolute; color: #000000; font-size: 12px; left: 8px; top: 59px; " class="SofLabel">(Wypełnić tylko w przypadku, gdy miejsce w polu opisowym ZMIANA SYTUACJI ZAWODOWEJ na formularzu PS-2 jest niewystarczające)</div>
          <div style="position: absolute; line-height: 20px; height: 243px; color: #000000; default-background-color: #ffffff; overflow: hidden; width: 865px; font-size: 18px; background-color: white; display: block; left: 8px; border: 1px solid black; top: 80px; " class="SofTextArea dotted">
            <div style="padding-left:5px ; padding-top:2px; display: block;">
              <xsl:call-template name="formatTextArea">
                <xsl:with-param name="tekst" select="//wnio:TrescDokumentu/wnio:ZmianaSytuacjiZawodowej"></xsl:with-param>
                <xsl:with-param name="wysokosc" select="243"></xsl:with-param>
                <xsl:with-param name="szerokosc" select="865"></xsl:with-param>
                <xsl:with-param name="bazowyRozmiarCzcionki" select="18"></xsl:with-param>
                <xsl:with-param name="wysokoscLini" select="20"></xsl:with-param>
                <xsl:with-param name="liczbaPrzejscDoNowychLini" select="0"></xsl:with-param>
                <xsl:with-param name="tekstPoOstatnimPrzejsciuDoNowejLini" select="//wnio:TrescDokumentu/wnio:ZmianaSytuacjiZawodowej"></xsl:with-param>
              </xsl:call-template>
            </div>
          </div>
          <div style="position: absolute; color: #000000; font-size: 14px; left: 6px; font-family: arial; font-weight: bold; top: 350px; " class="SofLabel global14Bold">ZMIANA SYTUACJI ZDROWOTNEJ:</div>
          <div style="position: absolute; color: #000000; font-size: 12px; left: 8px; top: 365px; " class="SofLabel">(Wypełnić tylko w przypadku, gdy miejsce w polu opisowym ZMIANA SYTUACJI ZDROWOTNEJ na formularzu PS-2 jest niewystarczające)</div>
          <div style="position: absolute; line-height: 20px; height: 243px; color: #000000; default-background-color: #ffffff; overflow: hidden; width: 865px; font-size: 18px; background-color: white; display: block; left: 8px; border: 1px solid black; top: 386px; " class="SofTextArea dotted">
            <div style="padding-left:5px ; padding-top:2px; display: block;">
              <xsl:call-template name="formatTextArea">
                <xsl:with-param name="tekst" select="//wnio:TrescDokumentu/wnio:ZmianaSytuacjiZdrowotnej"></xsl:with-param>
                <xsl:with-param name="wysokosc" select="243"></xsl:with-param>
                <xsl:with-param name="szerokosc" select="865"></xsl:with-param>
                <xsl:with-param name="bazowyRozmiarCzcionki" select="18"></xsl:with-param>
                <xsl:with-param name="wysokoscLini" select="20"></xsl:with-param>
                <xsl:with-param name="liczbaPrzejscDoNowychLini" select="0"></xsl:with-param>
                <xsl:with-param name="tekstPoOstatnimPrzejsciuDoNowejLini" select="//wnio:TrescDokumentu/wnio:ZmianaSytuacjiZdrowotnej"></xsl:with-param>
              </xsl:call-template>
            </div>
          </div>
          <div style="position: absolute; height: 298px; width: 880px; border-style: solid; background-color: #E7E5E6; border-color: #E7E5E6; left: 0px; border-width: 0px; top: 648px; " class="SofBorderContainer lightGrayAll">
            <span></span>
          </div>
          <div style="position: absolute; color: #000000; font-size: 14px; left: 6px; font-family: arial; font-weight: bold; top: 657px; " class="SofLabel global14Bold">ZMIANA SYTUACJI POZOSTAŁEJ:</div>
          <div style="position: absolute; color: #000000; font-size: 12px; left: 8px; top: 672px; " class="SofLabel">(Wypełnić tylko w przypadku, gdy miejsce w polu opisowym ZMIANA SYTUACJI POZOSTAŁEJ na formularzu PS-2 jest niewystarczające)</div>
          <div style="position: absolute; line-height: 20px; height: 243px; color: #000000; default-background-color: #ffffff; overflow: hidden; width: 865px; font-size: 18px; background-color: white; display: block; left: 8px; border: 1px solid black; top: 693px; " class="SofTextArea dotted">
            <div style="padding-left:5px ; padding-top:2px; display: block;">
              <xsl:call-template name="formatTextArea">
                <xsl:with-param name="tekst" select="//wnio:TrescDokumentu/wnio:ZmianaSytuacjiPozostalej"></xsl:with-param>
                <xsl:with-param name="wysokosc" select="243"></xsl:with-param>
                <xsl:with-param name="szerokosc" select="865"></xsl:with-param>
                <xsl:with-param name="bazowyRozmiarCzcionki" select="18"></xsl:with-param>
                <xsl:with-param name="wysokoscLini" select="20"></xsl:with-param>
                <xsl:with-param name="liczbaPrzejscDoNowychLini" select="0"></xsl:with-param>
                <xsl:with-param name="tekstPoOstatnimPrzejsciuDoNowejLini" select="//wnio:TrescDokumentu/wnio:ZmianaSytuacjiPozostalej"></xsl:with-param>
              </xsl:call-template>
            </div>
          </div>
          <div style="position: absolute; height: 52px; width: 869px; left: 8px; top: 1035px; ">
            <div style="position: absolute; height: 52px; width: 100%; background-color: #ffffff; left: 0px; top: 0px; " class="SofBorderContainer">
              <div style="position: absolute; height: 14px; color: #000000; width: 84px; font-size: 12px; left: 174px; top: 36px; " class="SofLabel">(Miejscowość)</div>
              <div style="position: absolute; height: 25px; color: #000000; default-background-color: #ffffff; overflow: hidden; width: 457px; font-size: 18px; background-color: white; display: block; left: 3px; border: 1px solid black; top: 6px; " class="SofTextInput dotted">
                <span style="padding-left:5px ;line-height:25px;padding-right: 5px; display: block;">
                  <xsl:value-of select="//wnio:TrescDokumentu/wnio:Miejscowosc"></xsl:value-of>
                </span>
              </div>
              <div style="position: absolute; height: 25px; color: #000000; default-background-color: #ffffff; overflow: hidden; width: 191px; font-size: 18px; background-color: white; border-style: dotted; display: block; left: 469px; border: 1px solid black; top: 6px; " class="SofDateField dotted">
                <span style="padding-left:5px ; line-height:25px; display: block;">
                  <xsl:call-template name="formatDaty">
                    <xsl:with-param name="wartosc" select="//wnio:TrescDokumentu/wnio:Data"></xsl:with-param>
                  </xsl:call-template>
                </span>
                <span></span>
              </div>
              <div style="position: absolute; height: 14px; text-align: center; color: #000000; width: 190px; font-size: 12px; left: 455px; top: 36px; " class="SofLabel">(Data: dd / mm / rrrr)</div>
              <div style="position: absolute; height: 18px; text-align: center; color: #000000; width: 202px; font-size: 14px; left: 668px; font-family: verdana; font-weight: normal; top: 20px; " class="SofLabel paragraph14Normal">......................................</div>
              <div style="position: absolute; height: 59px; text-align: center; color: #000000; width: 182px; font-size: 12px; left: 679px; top: 39px; " class="SofLabel">Podpis osoby składającej pismo</div>
            </div>
          </div>
          <div style="position: absolute; height: 16px; width: 880px; left: 0px; top: 1223px; ">
            <div style="position: absolute; height: 14px; text-align: right; color: #000000; width: 300px; font-size: 11px; left: 559px; font-family: verdana; top: 1px; " class="SofLabel footnote">wersja: PS-2Z(1)</div>
            <div style="position: absolute; height: 14px; text-align: center; color: #000000; width: 850px; font-size: 11px; left: 10px; font-family: verdana; top: 1px; " class="SofLabel footnote">strona: 2/2</div>
            <div style="position: absolute; height: 1px; width: 100%; left: 0px; border-top: 1px solid black; top: 1px; " class="SofHRule">
              <span></span>
            </div>
          </div>
        </div>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="wnio:Informacja1//*">
    <xsl:call-template name="Info">
      <xsl:with-param name="node" select="."></xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  <xsl:template match="wnio:Informacja2//*">
    <xsl:call-template name="Info">
      <xsl:with-param name="node" select="."></xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  <xsl:template match="wnio:Informacja3//*">
    <xsl:call-template name="Info">
      <xsl:with-param name="node" select="."></xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  <xsl:template match="wnio:Informacja4//*">
    <xsl:call-template name="Info">
      <xsl:with-param name="node" select="."></xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  <xsl:template name="Info">
    <xsl:choose>
      <xsl:when test="name(.) = 'TextFlow'">
        <xsl:apply-templates></xsl:apply-templates>
      </xsl:when>
      <xsl:when test="name(.) = 'br'">
        <xsl:choose>
          <xsl:when test="name(..) = 'dl'">
            <xsl:apply-templates></xsl:apply-templates>
          </xsl:when>
          <xsl:otherwise>
            <xsl:element name="{name(.)}">
              <xsl:apply-templates></xsl:apply-templates>
            </xsl:element>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <xsl:otherwise>
        <xsl:element name="{name(.)}">
          <xsl:for-each select="@*">
            <xsl:attribute name="{name(.)}">
              <xsl:value-of select="."></xsl:value-of>
            </xsl:attribute>
          </xsl:for-each>
          <xsl:apply-templates></xsl:apply-templates>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <xsl:template name="redukcjaCzcionki">
    <xsl:param name="tekst"></xsl:param>
    <xsl:param name="bazowyRozmiarCzcionki"></xsl:param>
    <xsl:param name="dlugoscPolaWPikselach"></xsl:param>
    <xsl:variable name="dlugoscTekstuWPikselach">
      <!-- chodzi o makstylana dlugosc - przypadek kiedy caly tekst skladal sie z liter 'W' -->
      <xsl:value-of select="string-length($tekst) * $bazowyRozmiarCzcionki"></xsl:value-of>
    </xsl:variable>
    <xsl:variable name="roznicaDlugosciTekstuIPolaWPikselach">
      <xsl:value-of select="$dlugoscTekstuWPikselach - $dlugoscPolaWPikselach"></xsl:value-of>
    </xsl:variable>
    <xsl:variable name="docelowyRozmiarCzcionki">
      <xsl:choose>
        <xsl:when test="$roznicaDlugosciTekstuIPolaWPikselach &lt; 0">1</xsl:when>
        <xsl:otherwise>
          <xsl:variable name="ulamekOJakiZmniejszamyCzcionke">
            <xsl:value-of select="($roznicaDlugosciTekstuIPolaWPikselach div $dlugoscTekstuWPikselach)"></xsl:value-of>
          </xsl:variable>
          <xsl:value-of select="1 - $ulamekOJakiZmniejszamyCzcionke"></xsl:value-of>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <span>
      <xsl:attribute name="style">
        <xsl:value-of select="concat('font-size:', $docelowyRozmiarCzcionki, 'em')"></xsl:value-of>
      </xsl:attribute>
      <xsl:value-of select="$tekst"></xsl:value-of>
    </span>
  </xsl:template>
  <xsl:template name="formatDaty">
    <xsl:param name="wartosc"></xsl:param>
    <xsl:if test="$wartosc != ''">
      <xsl:value-of select="substring($wartosc, 9, 2)"></xsl:value-of>
      /
      <xsl:value-of select="substring($wartosc, 6, 2)"></xsl:value-of>
      /
      <xsl:value-of select="substring($wartosc, 1, 4)"></xsl:value-of>
    </xsl:if>
  </xsl:template>
  <xsl:template name="formatKoduPocztowego">
    <xsl:param name="wartosc"></xsl:param>
    <xsl:if test="$wartosc != ''">
      <xsl:value-of select="substring($wartosc, 1, 2)"></xsl:value-of>
      -
      <xsl:value-of select="substring($wartosc, 3, 4)"></xsl:value-of>
    </xsl:if>
  </xsl:template>
  <xsl:template name="formatTextArea">
    <xsl:param name="tekst"></xsl:param>
    <xsl:param name="wysokosc"></xsl:param>
    <xsl:param name="szerokosc"></xsl:param>
    <xsl:param name="bazowyRozmiarCzcionki"></xsl:param>
    <xsl:param name="wysokoscLini"></xsl:param>
    <xsl:param name="liczbaPrzejscDoNowychLini"></xsl:param>
    <xsl:param name="tekstPoOstatnimPrzejsciuDoNowejLini"></xsl:param>
    <xsl:choose>
      <xsl:when test="contains($tekstPoOstatnimPrzejsciuDoNowejLini,'&#xA;')">
        <xsl:call-template name="formatTextArea">
          <xsl:with-param name="tekst" select="$tekst"></xsl:with-param>
          <xsl:with-param name="wysokosc" select="$wysokosc"></xsl:with-param>
          <xsl:with-param name="szerokosc" select="$szerokosc"></xsl:with-param>
          <xsl:with-param name="bazowyRozmiarCzcionki" select="$bazowyRozmiarCzcionki"></xsl:with-param>
          <xsl:with-param name="wysokoscLini" select="$wysokoscLini"></xsl:with-param>
          <xsl:with-param name="liczbaPrzejscDoNowychLini" select="$liczbaPrzejscDoNowychLini + 1"></xsl:with-param>
          <xsl:with-param name="tekstPoOstatnimPrzejsciuDoNowejLini">
            <xsl:value-of select="substring-after($tekstPoOstatnimPrzejsciuDoNowejLini,'&#xA;')"></xsl:value-of>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="redukcjaCzcionkiTextArea">
          <xsl:with-param name="tekst" select="$tekst"></xsl:with-param>
          <xsl:with-param name="wysokosc" select="$wysokosc"></xsl:with-param>
          <xsl:with-param name="szerokosc" select="$szerokosc"></xsl:with-param>
          <xsl:with-param name="bazowyRozmiarCzcionki" select="$bazowyRozmiarCzcionki"></xsl:with-param>
          <xsl:with-param name="wysokoscLini" select="$wysokoscLini"></xsl:with-param>
          <xsl:with-param name="liczbaPrzejscDoNowychLini" select="$liczbaPrzejscDoNowychLini"></xsl:with-param>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <xsl:template name="redukcjaCzcionkiTextArea">
    <xsl:param name="tekst"></xsl:param>
    <xsl:param name="wysokosc"></xsl:param>
    <xsl:param name="szerokosc"></xsl:param>
    <xsl:param name="bazowyRozmiarCzcionki"></xsl:param>
    <xsl:param name="wysokoscLini"></xsl:param>
    <xsl:param name="liczbaPrzejscDoNowychLini"></xsl:param>
    <xsl:variable name="liczbaLini">
      <xsl:value-of select="floor((string-length($tekst) * $bazowyRozmiarCzcionki) div $szerokosc) + $liczbaPrzejscDoNowychLini"></xsl:value-of>
    </xsl:variable>
    <xsl:variable name="liczbaLiniKtoraSieMiesci">
      <xsl:value-of select="ceiling($wysokosc div $wysokoscLini)"></xsl:value-of>
    </xsl:variable>
    <xsl:variable name="roznicaLiczyLini">
      <xsl:value-of select="$liczbaLini - $liczbaLiniKtoraSieMiesci"></xsl:value-of>
    </xsl:variable>
    <xsl:variable name="docelowyRozmiarCzcionki">
      <xsl:choose>
        <xsl:when test="$roznicaLiczyLini &lt; 0">1</xsl:when>
        <xsl:otherwise>
          <xsl:variable name="ulamekOJakiZmniejszamyCzcionke">
            <xsl:value-of select="$liczbaLini div $liczbaLiniKtoraSieMiesci"></xsl:value-of>
          </xsl:variable>
          <xsl:value-of select="1 div $ulamekOJakiZmniejszamyCzcionke"></xsl:value-of>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="docelowaWysokoscLini">
      <xsl:value-of select="($wysokoscLini * $docelowyRozmiarCzcionki)"></xsl:value-of>
    </xsl:variable>
    <div>
      <xsl:attribute name="style">
        <xsl:value-of select="concat('font-size:', $docelowyRozmiarCzcionki, 'em;', 'line-height:', $docelowaWysokoscLini, 'px; word-wrap : break-word;')"></xsl:value-of>
      </xsl:attribute>

      <xsl:call-template name="podzialTekstuWTextArea">
        <xsl:with-param name="tekst" select="$tekst"></xsl:with-param>
        <xsl:with-param name="docelowyRozmiarCzcionki" select="$docelowyRozmiarCzcionki"></xsl:with-param>
        <xsl:with-param name="docelowaWysokoscLini" select="$docelowaWysokoscLini"></xsl:with-param>
      </xsl:call-template>
    </div>
  </xsl:template>
  <xsl:template name="podzialTekstuWTextArea">
    <xsl:param name="tekst"></xsl:param>
    <xsl:param name="docelowyRozmiarCzcionki"></xsl:param>
    <xsl:param name="docelowaWysokoscLini"></xsl:param>
    <xsl:choose>
      <xsl:when test="contains($tekst,'&#xA;')">
        <div>
          <xsl:value-of select="substring-before($tekst,'&#xA;')"></xsl:value-of>
        </div>
        <xsl:call-template name="podzialTekstuWTextArea">
          <xsl:with-param name="tekst" select="substring-after($tekst,'&#xA;')"></xsl:with-param>
          <xsl:with-param name="docelowyRozmiarCzcionki" select="$docelowyRozmiarCzcionki"></xsl:with-param>
          <xsl:with-param name="docelowaWysokoscLini" select="$docelowaWysokoscLini"></xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <div>
          <xsl:value-of select="$tekst"></xsl:value-of>
        </div>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
